Debian Bug report logs - #672773
RM: emile -- RoQA; RC-buggy; no response from maintainers; tiny popcon

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Steve McIntyre <steve@einval.com>

Date: Sun, 13 May 2012 15:18:02 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#672773; Package ftp.debian.org. (Sun, 13 May 2012 15:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
New Bug report received and forwarded. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 13 May 2012 15:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: emile -- RoQA; RC-buggy; no response from maintainers; tiny popcon
Date: Sun, 13 May 2012 16:14:52 +0100
Package: ftp.debian.org
Severity: normal

No upload in over 3 years, already removed from testing. Please remove.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#672773; Package ftp.debian.org. (Mon, 14 May 2012 17:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 14 May 2012 17:21:08 GMT) Full text and rfc822 format available.

Message #10 received at 672773@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 672773@bugs.debian.org
Subject: Re: [wnpp] removal of emile has been requested!
Date: Mon, 14 May 2012 17:14:45 +0000 (UTC)
Hi,

I’ve been working on this. Unfortunately, we’ll probably need
to bring in a cross toolchain into Debian, or the archive must
begin to support arch:all packages that can only be built on
specific architectures (which I’m also waiting for with pcc).

So please keep the package in unstable. There is progress
already: upstream has made it buildable with gcc 4.6, and
I’ve got a person offering to test the binaries built, who
has the hardware.

Thanks,
//mirabilos
-- 
  “Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool.”
						-- Edward Burr




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#672773; Package ftp.debian.org. (Mon, 14 May 2012 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 14 May 2012 20:45:05 GMT) Full text and rfc822 format available.

Message #15 received at 672773@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Thorsten Glaser <tg@mirbsd.de>, 672773@bugs.debian.org
Subject: Re: Bug#672773: [wnpp] removal of emile has been requested!
Date: Mon, 14 May 2012 21:41:55 +0100
On Mon, 2012-05-14 at 17:14 +0000, Thorsten Glaser wrote:
> I’ve been working on this. Unfortunately, we’ll probably need
> to bring in a cross toolchain into Debian, or the archive must
> begin to support arch:all packages that can only be built on
> specific architectures (which I’m also waiting for with pcc).
> 
> So please keep the package in unstable. There is progress
> already: upstream has made it buildable with gcc 4.6, and

There isn't an m68k port in Debian though.  Obviously ftp-master may
disagree, but I don't see the point in keeping m68k-specific packages in
the archive in case it somehow manages to get back in at some future
point.  It could always be reintroduced in such a case anyway.

> I’ve got a person offering to test the binaries built, who
> has the hardware.

That's basically a repeat of your last comment in #648933 which was four
months ago.  So there's been no change in that period?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#672773; Package ftp.debian.org. (Mon, 14 May 2012 21:33:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 14 May 2012 21:33:19 GMT) Full text and rfc822 format available.

Message #20 received at 672773@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 672773@bugs.debian.org
Subject: Re: Bug#672773: [wnpp] removal of emile has been requested!
Date: Mon, 14 May 2012 21:18:42 +0000 (UTC)
Adam D. Barratt dixit:

>There isn't an m68k port in Debian though.  Obviously ftp-master may
>disagree, but I don't see the point in keeping m68k-specific packages in
>the archive in case it somehow manages to get back in at some future
>point.  It could always be reintroduced in such a case anyway.

The thing is, from how I understand the emile package in the archive,
it can be used to prepare m68k boot media on non-m68k machines.

>months ago.  So there's been no change in that period?

Compiler fixes, and more getting to know the toolchain issues
involved, although there are still things I need to know first,
especially from the maintainers of the packages involved, which
would primarily be binutils and gcc… to be honest, I worked more
on atari-bootstrap and sort of forgot emile, but they have similar
challenges, so the work is not lost. (Also, other packages in the
main archive will benefit from this work, if it can be get done.)

Once a package is gone from the main archive, it's going to be a
lot more difficult to get it back. I’d like to argue to have a
case to keep it at least in experimental. It being not part of
the wheezy release will be a given, considering the closeness
of the freeze. (Which will also be an annoyance¹, as, judging
from last time, some maintainers will accept patches, some will
only upload to experimental, and some will totally refuse change
until the release is out. ¹-from a porter’s PoV)

From the usability PoV when losing that: the developer side is
not too difficult; as the package generates m68k binaries (too)
it can be uploaded to debian-ports’ unreleased repository. But
that will have only arch:m68k and arch:all binary packages, and
in the case of tools used to make things bootable on other plat-
forms, this makes it more difficult. Being in the main archive
also leads more credential to the binaries; I’m already keeping
a personal repository for a subset of the packages and a cross
toolchain aside, but that’s not as nice, plus I don’t use my DD
PGP key to sign that repository but a separate signing key.

I *am* sorry for dragging this out, but I’ve got a life and job,
quite a number of packages in Debian, and other things (like gcj
troubles on m68k) getting in the way, and I’m only human too… I
just want to say it’s not abandoned. (We did get Ada bootstrapped
in the meantime, though.)

Thanks for considering,
//mirabilos
-- 
> Hi, does anyone sell openbsd stickers by themselves and not packaged
> with other products?
No, the only way I've seen them sold is for $40 with a free OpenBSD CD.
	-- Haroon Khalid and Steve Shockley in gmane.os.openbsd.misc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#672773; Package ftp.debian.org. (Mon, 14 May 2012 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 14 May 2012 22:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 672773@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Thorsten Glaser <tg@mirbsd.de>, 672773@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Subject: Re: Bug#672773: [wnpp] removal of emile has been requested!
Date: Mon, 14 May 2012 23:34:39 +0100
On Mon, May 14, 2012 at 09:18:42PM +0000, Thorsten Glaser wrote:
>Adam D. Barratt dixit:
>
>>There isn't an m68k port in Debian though.  Obviously ftp-master may
>>disagree, but I don't see the point in keeping m68k-specific packages in
>>the archive in case it somehow manages to get back in at some future
>>point.  It could always be reintroduced in such a case anyway.
>
>The thing is, from how I understand the emile package in the archive,
>it can be used to prepare m68k boot media on non-m68k machines.

Sorry, but we don't care. m68k has now missed 3 Debian releases
running. That's over 6 years! We should not continue pandering to the
insane idea that m68k is ever going to release with Debian again. This
package has been RC-buggy since approximately forever and should just
be dropped from the archive. Providing convenience for the
vanishingly-small number of remaining m68k users is not a good enough
excuse.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"...In the UNIX world, people tend to interpret `non-technical user'
 as meaning someone who's only ever written one device driver." -- Daniel Pead





Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#672773; Package ftp.debian.org. (Tue, 15 May 2012 00:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 15 May 2012 00:09:07 GMT) Full text and rfc822 format available.

Message #30 received at 672773@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Steve McIntyre <steve@einval.com>
Cc: 672773@bugs.debian.org, debian-68k@lists.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>
Subject: Re: Bug#672773: [wnpp] removal of emile has been requested!
Date: Mon, 14 May 2012 23:56:55 +0000 (UTC)
Steve McIntyre dixit:

>Sorry, but we don't care. m68k has now missed 3 Debian releases
>running. That's over 6 years! We should not continue pandering to the
>insane idea that m68k is ever going to release with Debian again. This
>package has been RC-buggy since approximately forever and should just
>be dropped from the archive. Providing convenience for the
>vanishingly-small number of remaining m68k users is not a good enough
>excuse.

OK, I see.

bye,
//mirabilos
-- 
«MyISAM tables -will- get corrupted eventually. This is a fact of life. »
“mysql is about as much database as ms access” – “MSSQL at least descends
from a database” “it's a rebranded SyBase” “MySQL however was born from a
flatfile and went downhill from there” – “at least jetDB doesn’t claim to
be a database”	-- Tonnerre, psychoschlumpf and myself in #nosec




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Tue, 15 May 2012 18:07:27 GMT) Full text and rfc822 format available.

Notification sent to Steve McIntyre <steve@einval.com>:
Bug acknowledged by developer. (Tue, 15 May 2012 18:07:27 GMT) Full text and rfc822 format available.

Message #35 received at 672773-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 672773-close@bugs.debian.org
Cc: emile@packages.debian.org, emile@packages.qa.debian.org
Subject: Bug#672773: Removed package(s) from unstable
Date: Tue, 15 May 2012 18:05:34 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

     emile |     0.11-2 | source, amd64, i386, ia64, mips, mipsel, powerpc, s390, sparc
emile-bootblocks |     0.11-2 | all

------------------- Reason -------------------
RoQA; RC-buggy; no response from maintainers; tiny popcon
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672773@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/672773

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Jun 2012 07:44:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:01:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.